Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.util
Class RepositoryResourceClassLoader

    java.lang.Object
      java.lang.ClassLoader
          com.jaspersoft.jasperserver.api.engine.jasperreports.util.RepositoryResourceClassLoader

    public class RepositoryResourceClassLoader

extends java.lang.ClassLoader

Version:
  $Id: RepositoryResourceClassLoader.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`RepositoryResourceClassLoader(java.lang.ClassLoader parent, java.util.Map resourceKeys, boolean localURLs)`

Method Summary
`protected java.net.URL` | `findResource(java.lang.String name)`
`protected java.util.Enumeration` | `findResources(java.lang.String name)`
`protected java.net.URL` | `getRepositoryURL(java.lang.String name)`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryResourceClassLoader

    public RepositoryResourceClassLoader(java.lang.ClassLoader parent,
                                         java.util.Map resourceKeys,
                                         boolean localURLs)

Method Detail

### findResource

    protected java.net.URL findResource(java.lang.String name)

  Overrides:
    `findResource` in class `java.lang.ClassLoader`

### getRepositoryURL

    protected java.net.URL getRepositoryURL(java.lang.String name)

### findResources

    protected java.util.Enumeration findResources(java.lang.String name)

  Overrides:
    `findResources` in class `java.lang.ClassLoader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.